%define name	qps
%define ver	1.9.2
%define rel	1

Summary: A visual process manager
Name: %name
Version: %ver
Release: %rel
Copyright: GPL
Group: X11/Utilities
Source: ftp://ptah.lnf.kth.se/pub/qps/qps-%{ver}.tar.gz
Patch: qps-Makefile.patch
Vendor: Mattias Engdegard <f91-men@nada.kth.se>
URL: http://www.student.nada.kth.se/~f91-men/qps/
Packager: Jochem Wichers Hoeth <wiho@chem.uva.nl>
BuildRoot: /tmp/%{name}-root
Docdir: /usr/doc

%description
Qps is a visual process manager, an X11 version of "top" or "ps"
that displays processes in a window and lets you sort and manipulate
them. 

%prep
%setup
%patch

%build
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT ; fi
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/man/man1
install -s -m 755 qps $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 644 qps.1 $RPM_BUILD_ROOT/usr/X11R6/man/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/X11R6/bin/qps
/usr/X11R6/man/man1/qps.1
%doc CHANGES COPYING README

%changelog
* Thu Oct 14 1999 Jochem Wichers Hoeth <wiho@chem.uva.nl>
- Updated to qps 1.9.2
* Tue Oct 12 1999 Jochem Wichers Hoeth <wiho@chem.uva.nl>
- Updated to qps 1.9
* Tue Aug 17 1999 Jochem Wichers Hoeth <wiho@chem.uva.nl>
- Updated to qps 1.8.1
- Added Vendor tag
- Removed "-o 0 -g 0" from install statements
- Changed qps-Makefile.patch to work with both Turbo Linux and RedHat 6.0
* Tue Aug 03 1999 James Blanding <blanding@bcilinux.com>
- update to qps 1.8
* Fri Jul 30 1999 James Blanding <blanding@bcilinux.com>
- update to qps 1.7
- slight Makefile change to work w/ qt rpms from turbolniux/redhat
  (see qps-Makefile.patch)
* Thu Jan 14 1999 Jochem Wichers Hoeth <wiho@chem.uva.nl>
- update to qps 1.6
* Mon Jan 04 1999 Jochem Wichers Hoeth <wiho@chem.uva.nl>
- first build
